#ifndef OBJECTS_H
#define OBJECTS_H

#include <string>
#include <vector>
#include <QImage>
#include "../common/sources/system/cmaths.h"

class CObjects
{
public:
    struct CObjectInfo
    {
        std::string name;
        QString     category;
        QString     floorImage;
    };

    CObjects();

    void    readObjectsDB();
    void    drawBackRow(QImage* image, CVec2 mapPos, CVec2 tablePos);
    void    drawFrontRow(QImage* image, CVec2 mapPos, CVec2 tablePos);

    std::vector<CObjectInfo>    mObjectInfos;

private:
    void    drawObjectsStack(QImage* image, CVec2 mapPos, CVec2 tablePos);
    CVec2   getObjectPos(CVec2 tablePos);
};

extern CObjects objects;

#endif // OBJECTS_H
